bug.c File Reference
`#include "ruby.h"`
`#include "ruby/defines.h"`
`#include "ruby/util.h"`
`#include "util.c"`

Go to the source code of this file.

## Macros

#define | _WIN32 1

## Functions

static unsigned long | ruby_scan_oct ()
static unsigned long | ruby_scan_hex ()
static unsigned long | ruby_strtoul ()
static void | ruby_qsort ()
static char * | ruby_strdup ()
static char * | ruby_getcwd ()
static double | ruby_strtod ()
static char * | ruby_dtoa ()
static void | ruby_each_words ()
static char * | ruby_hdtoa ()
static VALUE | add_suffix (VALUE self, VALUE path, VALUE suffix)
void | Init_bug (void)

## Macro Definition Documentation

#define _WIN32 1

Definition at line 15 of file bug.c.

## Function Documentation

static VALUE add_suffix | ( | VALUE | self,
|  | VALUE | path,
|  | VALUE | suffix
| ) |  |

static

Definition at line 20 of file bug.c.

References StringValueCStr.

Referenced by Init_bug().

void Init_bug | ( | void |  | ) |

Definition at line 28 of file bug.c.

References add_suffix(), rb_define_module(), and rb_define_module_function().

static char* ruby_dtoa | ( |  | ) |

static

static void ruby_each_words | ( |  | ) |

static

Referenced by proc_options(), and ruby_set_debug_option().

static char* ruby_getcwd | ( |  | ) |

static

Definition at line 613 of file util.c.

static char* ruby_hdtoa | ( |  | ) |

static

static void ruby_qsort | ( |  | ) |

static

Referenced by enum_sort_by(), and rb_ary_sort_bang().

static unsigned long ruby_scan_hex | ( |  | ) |

static

Referenced by unescape_unicode_bmp(), and unescape_unicode_list().

static unsigned long ruby_scan_oct | ( |  | ) |

static

Referenced by parser_tokadd_escape(), and unescape_nonascii().

static char* ruby_strdup | ( |  | ) |

static

Referenced by argf_initialize_copy(), compat_init_setproctitle(), load_lock(), ruby_setenv(), and yycompile().

static double ruby_strtod | ( |  | ) |

static

static unsigned long ruby_strtoul | ( |  | ) |

static